package com.ruoyi.project.check.mapper;

import java.util.List;
import com.ruoyi.project.check.domain.TCheckLawitems;

/**
 * 法规项Mapper接口
 *
 * @author ruoyi
 * @date 2022-11-28
 */
public interface TCheckLawitemsMapper
{
    /**
     * 查询法规项
     *
     * @param id 法规项主键
     * @return 法规项
     */
    public TCheckLawitems selectTCheckLawitemsById(Long id);
    public List<TCheckLawitems> selectTCheckLawitemsByLawStatus();


    /**
     * 查询法规项列表
     *
     * @param tCheckLawitems 法规项
     * @return 法规项集合
     */
    public List<TCheckLawitems> selectTCheckLawitemsList(TCheckLawitems tCheckLawitems);

    /**
     * 新增法规项
     *
     * @param tCheckLawitems 法规项
     * @return 结果
     */
    public int insertTCheckLawitems(TCheckLawitems tCheckLawitems);
    public int insertTCheckLawitemsByList(List<TCheckLawitems> tCheckLawitems);

    /**
     * 修改法规项
     *
     * @param tCheckLawitems 法规项
     * @return 结果
     */
    public int updateTCheckLawitems(TCheckLawitems tCheckLawitems);

    /**
     * 删除法规项
     *
     * @param id 法规项主键
     * @return 结果
     */
    public int deleteTCheckLawitemsById(Long id);

    /**
     * 批量删除法规项
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTCheckLawitemsByIds(Long[] ids);
}
